mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IO.FileSystemInfo Represents information about a directory in the filesystem. The class encodes information about a directory. It also allows basic manipulations of filesystem structure:
Creation with or .
Deletion with .
Movement with .
Listing with , , and .
- Constructor
  To be added: an object of type 'string'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.IO.DirectoryInfo `` To be added. To be added To be added: an object of type 'DirectoryInfo' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.IO.DirectoryInfo `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.IO.DirectoryInfo> To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.IO.DirectoryInfo> `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.IO.DirectoryInfo> `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.IO.FileInfo> To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.IO.FileInfo> `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.IO.FileInfo> `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.IO.FileSystemInfo> To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.IO.FileSystemInfo> `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.IO.FileSystemInfo> `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.AccessControl.DirectorySecurity To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Security.AccessControl.DirectorySecurity `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.IO.DirectoryInfo[] To be added To be added: an object of type 'DirectoryInfo []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.IO.DirectoryInfo[] `` To be added. To be added To be added: an object of type 'DirectoryInfo []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.IO.DirectoryInfo[] `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.IO.FileInfo[] Returns all files in this directory To be added: an object of type 'FileInfo []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.IO.FileInfo[] `` To be added. To be added To be added: an object of type 'FileInfo []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.IO.FileInfo[] `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.IO.FileSystemInfo[] To be added To be added: an object of type 'FileSystemInfo []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.IO.FileSystemInfo[] `` To be added. To be added To be added: an object of type 'FileSystemInfo []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.IO.FileSystemInfo[] `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.IO.DirectoryInfo To be added To be added: an object of type 'DirectoryInfo' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.IO.DirectoryInfo To be added To be added: an object of type 'DirectoryInfo' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)